SMSPackage (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.sms.SMSPackage interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.sms
Interface SMSPackage

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

    public interface SMSPackage

extends LogicalElement, Version, ConfigurationItem

SMS_Package class contains information about its programs, such as identifying the source files, how the files are copied to the distribution point, and refresh details. You can also identify if the program provides an install status MIF file to report status or simply uses an exit code ref Microsoft SMS 2003 SDK

Naming Rules:
  0="SMSHierarchy,name"
Persistable:
  true
Table Name:
  SMSPACKAGES
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getActionInProgress()` Current action being performed on the package by SMS.
`int` | `getForcedDissconnectDelay()` Grace period, in minutes, that SMS waits before forcibly disconnecting users from the distribution point share.
`boolean` | `getForcedDissconnectEnabled()` Indicates that SMS should forcibly disconnect users from the distribution point share if a share violation occurs while updating, refreshing, or deleting package source files.
`int` | `getForcedDissconnectNumRetries()` Number of times SMS attempts to disconnect users from the distribution point share.
`int` | `getIconSize()` Size of the icon (in bytes)
`boolean` | `getIgnoreAddressSchedule()` Indicates whether SMS ignores the schedule of the sender specified by PreferredAddressType or the default sender if none is specified.
`java.lang.String` | `getLanguage()` Used with Manufacturer, Name, and Version to identify a package in the SMS Administrator console.
`long` | `getLastRefreshTime()` Last date and time the package source files were refreshed.
`java.lang.String` | `getManufacter()` Manufacturer (publisher) of the package.
`java.lang.String` | `getMIFFileName()` Name of the MIF file that contains the program status.
`java.lang.String` | `getMIFName()` Name of this package.
`java.lang.String` | `getMIFPublisher()` Publisher of this package.
`java.lang.String` | `getMIFVersion()` Version number of this package.
`java.lang.String` | `getName()` Name of the package.
`int` | `getNumSourceVersion()` Incremented when the package is updated or the source files are refreshed.
`java.lang.String` | `getPackageDescription()` Description of the package.
`int` | `getPackagePriority()` Sending priority of the package.
`int` | `getPkgFlags()` Flag value that determines if SMS uses MIFName, MIFPublisher, and MIFVersion for MIF file status matching.
`int` | `getPkgSourceFlag()` Method of reading the package source files.
`java.lang.String` | `getPkgSourcePath()` Location of the package source files.
`java.lang.String` | `getPrefferedAddressType()` Preferred sender to use when copying the package source files to the distribution points.
`boolean` | `getRefreshPkgSourceFlag()` Indicates that SMS should refresh the package source files.
`java.lang.String` | `getShareName()` Share to use on the distribution point.
`int` | `getShareType()` Type of share used for the package's distribution point.
`SMSAdvertizements` | `getSMSAdvertisement()`
`SMSHierarchy` | `getSMSHierarchy()`
`SMSProgram[]` | `getSMSPrograms()`
`SMSSiteServer` | `getSMSSite()`
`long` | `getSourceDate()` Date and time the package source files were last updated on the distribution points.
`java.lang.String` | `getStoredPkgPath()` Full path to where SMS stores the compressed version of the source files on the site server.
`int` | `getStoredPkgVersion()` Version of the compressed source files.
`WindowsComputerSystem` | `getWindowsComputerSystem()`
`boolean` | `hasActionInProgress()`
`boolean` | `hasForcedDissconnectDelay()`
`boolean` | `hasForcedDissconnectEnabled()`
`boolean` | `hasForcedDissconnectNumRetries()`
`boolean` | `hasIconSize()`
`boolean` | `hasIgnoreAddressSchedule()`
`boolean` | `hasLanguage()`
`boolean` | `hasLastRefreshTime()`
`boolean` | `hasManufacter()`
`boolean` | `hasMIFFileName()`
`boolean` | `hasMIFName()`
`boolean` | `hasMIFPublisher()`
`boolean` | `hasMIFVersion()`
`boolean` | `hasName()`
`boolean` | `hasNumSourceVersion()`
`boolean` | `hasPackageDescription()`
`boolean` | `hasPackagePriority()`
`boolean` | `hasPkgFlags()`
`boolean` | `hasPkgSourceFlag()`
`boolean` | `hasPkgSourcePath()`
`boolean` | `hasPrefferedAddressType()`
`boolean` | `hasRefreshPkgSourceFlag()`
`boolean` | `hasShareName()`
`boolean` | `hasShareType()`
`boolean` | `hasSMSAdvertisement()`
`boolean` | `hasSMSHierarchy()`
`boolean` | `hasSMSPrograms()`
`boolean` | `hasSMSSite()`
`boolean` | `hasSourceDate()`
`boolean` | `hasStoredPkgPath()`
`boolean` | `hasStoredPkgVersion()`
`boolean` | `hasWindowsComputerSystem()`
`void` | `setActionInProgress(int x)`
`void` | `setForcedDissconnectDelay(int x)`
`void` | `setForcedDissconnectEnabled(boolean x)`
`void` | `setForcedDissconnectNumRetries(int x)`
`void` | `setIconSize(int x)`
`void` | `setIgnoreAddressSchedule(boolean x)`
`void` | `setLanguage(java.lang.String x)`
`void` | `setLastRefreshTime(long x)`
`void` | `setManufacter(java.lang.String x)`
`void` | `setMIFFileName(java.lang.String x)`
`void` | `setMIFName(java.lang.String x)`
`void` | `setMIFPublisher(java.lang.String x)`
`void` | `setMIFVersion(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setNumSourceVersion(int x)`
`void` | `setPackageDescription(java.lang.String x)`
`void` | `setPackagePriority(int x)`
`void` | `setPkgFlags(int x)`
`void` | `setPkgSourceFlag(int x)`
`void` | `setPkgSourcePath(java.lang.String x)`
`void` | `setPrefferedAddressType(java.lang.String x)`
`void` | `setRefreshPkgSourceFlag(boolean x)`
`void` | `setShareName(java.lang.String x)`
`void` | `setShareType(int x)`
`void` | `setSMSAdvertisement(SMSAdvertizements x)`
`void` | `setSMSHierarchy(SMSHierarchy x)`
`void` | `setSMSPrograms(SMSProgram[] x)`
`void` | `setSMSSite(SMSSiteServer x)`
`void` | `setSourceDate(long x)`
`void` | `setStoredPkgPath(java.lang.String x)`
`void` | `setStoredPkgVersion(int x)`
`void` | `setWindowsComputerSystem(WindowsComputerSystem x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getRefreshPkgSourceFlag

    boolean getRefreshPkgSourceFlag()
                                    throws AttributeNotSetException

  Indicates that SMS should refresh the package source files. If TRUE, this has the same effect as calling the RefreshPkgSource method. This property always returns FALSE when read. Do not use this property to update the package source files. Instead, use the RefreshPkgSource method.

  Throws:
    `AttributeNotSetException`

### setRefreshPkgSourceFlag

    void setRefreshPkgSourceFlag(boolean x)

### hasRefreshPkgSourceFlag

    boolean hasRefreshPkgSourceFlag()

### getForcedDissconnectDelay

    int getForcedDissconnectDelay()
                                  throws AttributeNotSetException

  Grace period, in minutes, that SMS waits before forcibly disconnecting users from the distribution point share. The default grace period is five minutes.

  Throws:
    `AttributeNotSetException`

### setForcedDissconnectDelay

    void setForcedDissconnectDelay(int x)

### hasForcedDissconnectDelay

    boolean hasForcedDissconnectDelay()

### getShareName

    java.lang.String getShareName()
                                  throws AttributeNotSetException

  Share to use on the distribution point. Your share name can include directories. If the directories do not exist, SMS creates them for you. You must specify a share name if you set ShareType to SHARE_SPECIFIC.

  Throws:
    `AttributeNotSetException`

### setShareName

    void setShareName(java.lang.String x)

### hasShareName

    boolean hasShareName()

### getPkgFlags

    int getPkgFlags()
                    throws AttributeNotSetException

  Flag value that determines if SMS uses MIFName, MIFPublisher, and MIFVersion for MIF file status matching. Otherwise, SMS uses Name, Manufacturer, and Version for status matching. For more information, see Remarks. The bit flag is USE_SPECIAL_MIF (bit 29).

  Throws:
    `AttributeNotSetException`

### setPkgFlags

    void setPkgFlags(int x)

### hasPkgFlags

    boolean hasPkgFlags()

### getWindowsComputerSystem

    WindowsComputerSystem getWindowsComputerSystem()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="false"

### setWindowsComputerSystem

    void setWindowsComputerSystem(WindowsComputerSystem x)

### hasWindowsComputerSystem

    boolean hasWindowsComputerSystem()

### getPkgSourcePath

    java.lang.String getPkgSourcePath()
                                      throws AttributeNotSetException

  Location of the package source files. This can be either a full local path or a UNC path. Make sure this location contains all the files and subdirectories needed to complete the program, including any scripts.

  Throws:
    `AttributeNotSetException`

### setPkgSourcePath

    void setPkgSourcePath(java.lang.String x)

### hasPkgSourcePath

    boolean hasPkgSourcePath()

### getMIFName

    java.lang.String getMIFName()
                                throws AttributeNotSetException

  Name of this package.

  Throws:
    `AttributeNotSetException`

### setMIFName

    void setMIFName(java.lang.String x)

### hasMIFName

    boolean hasMIFName()

### getLanguage

    java.lang.String getLanguage()
                                 throws AttributeNotSetException

  Used with Manufacturer, Name, and Version to identify a package in the SMS Administrator console. For example, you could have an English and a German version of the same package.

  Throws:
    `AttributeNotSetException`

### setLanguage

    void setLanguage(java.lang.String x)

### hasLanguage

    boolean hasLanguage()

### getSMSPrograms

    SMSProgram[] getSMSPrograms()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setSMSPrograms

    void setSMSPrograms(SMSProgram[] x)

### hasSMSPrograms

    boolean hasSMSPrograms()

### getStoredPkgVersion

    int getStoredPkgVersion()
                            throws AttributeNotSetException

  Version of the compressed source files.

  Throws:
    `AttributeNotSetException`

### setStoredPkgVersion

    void setStoredPkgVersion(int x)

### hasStoredPkgVersion

    boolean hasStoredPkgVersion()

### getManufacter

    java.lang.String getManufacter()
                                   throws AttributeNotSetException

  Manufacturer (publisher) of the package. This is used with Name, Version, and Language to identify a package in the SMS Administrator console.

  Throws:
    `AttributeNotSetException`

### setManufacter

    void setManufacter(java.lang.String x)

### hasManufacter

    boolean hasManufacter()

### getForcedDissconnectNumRetries

    int getForcedDissconnectNumRetries()
                                       throws AttributeNotSetException

  Number of times SMS attempts to disconnect users from the distribution point share. The default number of retries is two.

  Throws:
    `AttributeNotSetException`

### setForcedDissconnectNumRetries

    void setForcedDissconnectNumRetries(int x)

### hasForcedDissconnectNumRetries

    boolean hasForcedDissconnectNumRetries()

### getMIFFileName

    java.lang.String getMIFFileName()
                                    throws AttributeNotSetException

  Name of the MIF file that contains the program status. The file name extension must be .mif.

  Throws:
    `AttributeNotSetException`

### setMIFFileName

    void setMIFFileName(java.lang.String x)

### hasMIFFileName

    boolean hasMIFFileName()

### getSourceDate

    long getSourceDate()
                       throws AttributeNotSetException

  Date and time the package source files were last updated on the distribution points.

  Throws:
    `AttributeNotSetException`

### setSourceDate

    void setSourceDate(long x)

### hasSourceDate

    boolean hasSourceDate()

### getIconSize

    int getIconSize()
                    throws AttributeNotSetException

  Size of the icon (in bytes)

  Throws:
    `AttributeNotSetException`

### setIconSize

    void setIconSize(int x)

### hasIconSize

    boolean hasIconSize()

### getActionInProgress

    int getActionInProgress()
                            throws AttributeNotSetException

  Current action being performed on the package by SMS. When you delete an instance of SMS_Package, the instance is not deleted until its related components are deleted, such as programs, source files, distribution points, and advertisements. Instead, SMS sets the ActionInProgress property to 3 (delete) to let you know that the package is marked for deletion. In SMS 2.0, to ensure that your query does not return packages that have been deleted (marked for deletion), you should add this case to your WHERE clause. In SMS 2003 the WHERE clause is not required as packages that are marked for deletion will not be returned by a query.

  Throws:
    `AttributeNotSetException`

### setActionInProgress

    void setActionInProgress(int x)

### hasActionInProgress

    boolean hasActionInProgress()

### getIgnoreAddressSchedule

    boolean getIgnoreAddressSchedule()
                                     throws AttributeNotSetException

  Indicates whether SMS ignores the schedule of the sender specified by PreferredAddressType or the default sender if none is specified. The default value is FALSE.

  Throws:
    `AttributeNotSetException`

### setIgnoreAddressSchedule

    void setIgnoreAddressSchedule(boolean x)

### hasIgnoreAddressSchedule

    boolean hasIgnoreAddressSchedule()

### getNumSourceVersion

    int getNumSourceVersion()
                            throws AttributeNotSetException

  Incremented when the package is updated or the source files are refreshed.

  Throws:
    `AttributeNotSetException`

### setNumSourceVersion

    void setNumSourceVersion(int x)

### hasNumSourceVersion

    boolean hasNumSourceVersion()

### getPrefferedAddressType

    java.lang.String getPrefferedAddressType()
                                             throws AttributeNotSetException

  Preferred sender to use when copying the package source files to the distribution points. SMS determines which sender to use if this value is not specified. Values are: "SMS_LAN_SENDER" "SMS_COURIER_SENDER" "SMS_ASYNC_RAS_SENDER" "SMS_ISDN_RAS_SENDER" "SMS_X25_RAS_SENDER" "SMS_SNA_RAS_SENDER"

  Throws:
    `AttributeNotSetException`

### setPrefferedAddressType

    void setPrefferedAddressType(java.lang.String x)

### hasPrefferedAddressType

    boolean hasPrefferedAddressType()

### getSMSSite

    SMSSiteServer getSMSSite()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.LocatedAt" reverse="false"

### setSMSSite

    void setSMSSite(SMSSiteServer x)

### hasSMSSite

    boolean hasSMSSite()

### getPkgSourceFlag

    int getPkgSourceFlag()
                         throws AttributeNotSetException

  Method of reading the package source files. Values are: STORAGE_NEEDS_SPECIFYING (0) STORAGE_NO_SOURCE (1) STORAGE_DIRECT (2) STORAGE_COMPRESS (3) Specify STORAGE_NO_SOURCE when your program does not use source files. Specify STORAGE_DIRECT when the source files are taken directly from the source without compression. Use this option when the source files are located on the local server or a UNC path has been specified to a persistent storage location. Specify STORAGE_COMPRESS when the source files are to be compressed and copied to the site server. Use this option when the package source files are coming from a CD or a non-persistent medium. SMS puts the path to where the files were copied in StoredPkgPath. You cannot specify a refresh schedule when you select this option. If you call the RefreshPkgSource method, the CD or specified source medium must be in a ready state.

  Throws:
    `AttributeNotSetException`

### setPkgSourceFlag

    void setPkgSourceFlag(int x)

### hasPkgSourceFlag

    boolean hasPkgSourceFlag()

### getMIFPublisher

    java.lang.String getMIFPublisher()
                                     throws AttributeNotSetException

  Publisher of this package.

  Throws:
    `AttributeNotSetException`

### setMIFPublisher

    void setMIFPublisher(java.lang.String x)

### hasMIFPublisher

    boolean hasMIFPublisher()

### getSMSAdvertisement

    SMSAdvertizements getSMSAdvertisement()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setSMSAdvertisement

    void setSMSAdvertisement(SMSAdvertizements x)

### hasSMSAdvertisement

    boolean hasSMSAdvertisement()

### getMIFVersion

    java.lang.String getMIFVersion()
                                   throws AttributeNotSetException

  Version number of this package.

  Throws:
    `AttributeNotSetException`

### setMIFVersion

    void setMIFVersion(java.lang.String x)

### hasMIFVersion

    boolean hasMIFVersion()

### getLastRefreshTime

    long getLastRefreshTime()
                            throws AttributeNotSetException

  Last date and time the package source files were refreshed.

  Throws:
    `AttributeNotSetException`

### setLastRefreshTime

    void setLastRefreshTime(long x)

### hasLastRefreshTime

    boolean hasLastRefreshTime()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Name of the package. This is used with Name, Version, and Language to identify a package in the SMS Administrator console. This is the only property that is required to create a package instance.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getStoredPkgPath

    java.lang.String getStoredPkgPath()
                                      throws AttributeNotSetException

  Full path to where SMS stores the compressed version of the source files on the site server. This path is set by SMS when the value of PkgSourceFlag is STORAGE_COMPRESS.

  Throws:
    `AttributeNotSetException`

### setStoredPkgPath

    void setStoredPkgPath(java.lang.String x)

### hasStoredPkgPath

    boolean hasStoredPkgPath()

### getForcedDissconnectEnabled

    boolean getForcedDissconnectEnabled()
                                        throws AttributeNotSetException

  Indicates that SMS should forcibly disconnect users from the distribution point share if a share violation occurs while updating, refreshing, or deleting package source files. The default value is FALSE. Use this feature with caution. Forcibly disconnecting users can have adverse effects on the client

  Throws:
    `AttributeNotSetException`

### setForcedDissconnectEnabled

    void setForcedDissconnectEnabled(boolean x)

### hasForcedDissconnectEnabled

    boolean hasForcedDissconnectEnabled()

### getShareType

    int getShareType()
                     throws AttributeNotSetException

  Type of share used for the package's distribution point. The default is SHARE_COMMON. If you specify SHARE_SPECIFIC, you must provide a value for ShareName. Values are: SHARE_COMMON (1) SHARE_SPECIFIC(2)

  Throws:
    `AttributeNotSetException`

### setShareType

    void setShareType(int x)

### hasShareType

    boolean hasShareType()

### getSMSHierarchy

    SMSHierarchy getSMSHierarchy()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setSMSHierarchy

    void setSMSHierarchy(SMSHierarchy x)

### hasSMSHierarchy

    boolean hasSMSHierarchy()

### getPackagePriority

    int getPackagePriority()
                           throws AttributeNotSetException

  Sending priority of the package. Values are: HIGH(1) NORMAL(2) LOW(3)

  Throws:
    `AttributeNotSetException`

### setPackagePriority

    void setPackagePriority(int x)

### hasPackagePriority

    boolean hasPackagePriority()

### getPackageDescription

    java.lang.String getPackageDescription()
                                           throws AttributeNotSetException

  Description of the package.

  Throws:
    `AttributeNotSetException`

### setPackageDescription

    void setPackageDescription(java.lang.String x)

### hasPackageDescription

    boolean hasPackageDescription()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD